{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":502,"path":"api-reference/rest-apis/cust_central-api.md","title":"Customer Central API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Customer Central API\n\nThe Customer Central API provides endpoints to access customer information and configuration details.\n\nUse this API to obtain information records \\(cards\\) that were previously generated through the Customer Central interface.\n\nYou must have the admin or sn\\_esm\\_agent role to access this API. In addition, before this API is available in your instance you must activate the **com.sn\\_csm\\_customer\\_central** plugin.\n\nFor additional information, see [Customer Central](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/customer-central.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Customer Central - GET /cust\\_central/custinfo/\\{context\\}/\\{context\\_instance\\}/\\{target\\}\n\nReturns customer information and configuration details for a specific customer context.\n\nCustomer context is determined by the customer content table that you specify, either the Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\] table, and its associated target table. This information is located in the Customer Information Context \\[sn\\_customercentral\\_cust\\_info\\_config\\] table.\n\nThis endpoint returns all active records \\(cards\\) within the following Customer Central configuration tables for the specified customer context:\n\n-   List Configuration \\[sn\\_customercentral\\_list\\_config\\]\n-   Record Configuration \\[sn\\_customercentral\\_record\\_config\\]\n-   Report Configuration \\[sn\\_customercentral\\_report\\_config\\]\n-   Report Group Configuration \\[sn\\_customercentral\\_report\\_group\\_config\\]\n\nYou must define any additional configuration records that you need through the Customer Central interface. For details, see [Configure customer central](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/configure-customer-central.md).\n\n### URL format\n\nVersioned URL: `/api/sn_customercentral/{api_version}/cust_central/custinfo/{context}/{context_instance}/{target}`\n\nDefault URL: `/api/sn_customercentral/cust_central/custinfo/{context}/{context_instance}/{target}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ncontext\n\n</td><td>\n\nName of the customer context table to use.Valid values:\n\n-   csm\\_consumer\n-   customer\\_contact\n\nData type: String\n\n</td></tr><tr><td>\n\ncontext\\_instance\n\n</td><td>\n\nSys\\_id of the record in the table specified in the **context** parameter to return. Data type: String\n\n</td></tr><tr><td>\n\ntarget\n\n</td><td>\n\nTarget table associated with the customer context table specified in the **context** parameter. The combination of the **context** parameter and**target** parameter define a unique customer information context. Data type: String\n\nTable: Customer Information Context \\[sn\\_customercentral\\_cust\\_info\\_config\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbefore\n\n</td><td>\n\nReturn all configuration records created before the specified date and time.Date type: String\n\nFormat: YYYY-MM-DD or the format defined in the **glide.sys.date\\_format** system property\n\nDefault: Return all configuration records created before current session time.\n\n</td></tr><tr><td>\n\nend\n\n</td><td>\n\nLast record to return. Use this value to paginate record retrieval or use with the **start** parameter to select a specific set of records to return.Data type: Number\n\nDefault: Last record in file\n\n</td></tr><tr><td>\n\nstart\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Don't pass a negative number.\n\nData type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected. Ensure that the path parameters contain valid values.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncards\\_info\n\n</td><td>\n\nList of contact cards associated with the specified customer.Data type: Array \\(content depends on selected customer\\)\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations\n\n</td><td>\n\nConfiguration information.Data type: Object\n\n```\n\"data_configurations\": {\n  \"aggregate_field\": \"String\",\n  \"aggregate_function\": \"String\",\n  \"chart_settings\": \"String\"\n  \"decimal_precision\": Number,\n  \"filter_query\": \"String\",\n  \"group_by\": \"String\",\n  \"number_of_groups\": \"String\",\n  \"show_other\": Boolean,\n  \"source_id\": \"String\",\n  \"source_type\": \"String\",\n  \"stack_by_field\": \"String\",\n  \"sys_id\": \"String\",\n  \"trend_field\": \"String\",\n  \"trend_interval\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.aggregate\\_field\n\n</td><td>\n\nColumn name to aggregate. Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.aggregate\\_function\n\n</td><td>\n\nFunction to use to aggregate the specified table column.Possible values:\n\n-   AVG\n-   COUNT\n-   COUNT\\(DISTINCT\\)\n-   SUM\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.decimal\\_precision\n\n</td><td>\n\nNumber of digits to the right of the decimal point to return.Data type: Number\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.filter\\_query\n\n</td><td>\n\nQuery string to use to refine the data used in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.group\\_by\n\n</td><td>\n\nName of the column to use to group the report data.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.number\\_of\\_groups\n\n</td><td>\n\nMaximum number of groups to display in the report.Possible values:\n\n-   `all`: Show all groups.\n-   0: Uses the value in the **glide.ui.chart.generate\\_other** system property.\n\n**Note:** It is not recommended to change the value of the **glide.ui.chart.generate\\_other** system property, as it applies to all reports in the instance.\n\n-   Greater than 0: Number of groups to display. The groups that appear are the ones with the highest values for whatever is being tracked.\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.show\\_other\n\n</td><td>\n\nFlag that indicates whether the group \"Other\" appears within the report. If not all groups are to display, as defined by the **number\\_of\\_groups** parameter, the values of the non-display groups are combined and displayed under a single heading of \"Other\".Possible values:\n\n-   true: Include the \"Other\" group.\n-   false: Don't include the \"Other\" group.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.source\\_id\n\n</td><td>\n\nTable name or sys\\_id of the report source information. This correlates to the information in the **cards\\_info.reportGroupConfigurations.data\\_configurations.source\\_type** parameter.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.source\\_type\n\n</td><td>\n\nType of information in the **cards\\_info.reportGroupConfigurations.data\\_configurations.source\\_id** parameter used to identify the source table.Possible values:\n\n-   source: Sys\\_id of the source table.\n-   table: Table name of the source table.\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.stack\\_by\\_field\n\n</td><td>\n\nName of the table column to use when implementing \"stack by\" in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.sys\\_id\n\n</td><td>\n\nSys\\_id of the report used in the report configuration.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.trend\\_field\n\n</td><td>\n\nName of table column to use in trend analysis.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.trend\\_interval\n\n</td><td>\n\nTime interval for the trend information. For example, week, month, year, etc.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.data\\_configurations.type\n\n</td><td>\n\nType of report, such as single score, donut, vertical, line, stacked bar, etc.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.encodedQuery\n\n</td><td>\n\nEncoded query string to use to refine the data that appears in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.fields\n\n</td><td>\n\nList of name-value pairs that define the fields within the associated record.Data type: Array of Objects\n\n```\n\"fields\": [\n  {\n    \"label\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ncards\\_info.fields.label\n\n</td><td>\n\nField label.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.fields.value\n\n</td><td>\n\nField value.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.listLimit\n\n</td><td>\n\nPagination limit. Number of records to show on a list card.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations\n\n</td><td>\n\nList of objects that define the report groups.Data type: Array of Objects\n\n```\n\"reportGroupConfigurations\": [\n  {\n    \"data_configurations\": {Object},\n    \"style_configurations\": {Object},\n    \"title\": \"String\",\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations\n\n</td><td>\n\nConfiguration information.Data type: Object\n\n```\n\"data_configurations\": {\n  \"aggregate_field\": \"String\",\n  \"aggregate_function\": \"String\",\n  \"chart_settings\": \"String\"\n  \"decimal_precision\": Number,\n  \"filter_query\": \"String\",\n  \"group_by\": \"String\",\n  \"number_of_groups\": \"String\",\n  \"show_other\": Boolean,\n  \"source_id\": \"String\",\n  \"source_type\": \"String\",\n  \"stack_by_field\": \"String\",\n  \"sys_id\": \"String\",\n  \"trend_field\": \"String\",\n  \"trend_interval\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.aggregate\\_field\n\n</td><td>\n\nColumn name to aggregate. Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.aggregate\\_function\n\n</td><td>\n\nFunction to use to aggregate the specified table column.Possible values:\n\n-   AVG\n-   COUNT\n-   COUNT\\(DISTINCT\\)\n-   SUM\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.decimal\\_precision\n\n</td><td>\n\nNumber of digits to the right of the decimal point to return.Data type: Number\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.filter\\_query\n\n</td><td>\n\nQuery string to use to refine the data used in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.group\\_by\n\n</td><td>\n\nName of the column to use to group the report data.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.number\\_of\\_groups\n\n</td><td>\n\nMaximum number of groups to display in the report.Possible values:\n\n-   `all`: Show all groups.\n-   0: Uses the value in the **glide.ui.chart.generate\\_other** system property.\n\n**Note:** It is not recommended to change the value of the **glide.ui.chart.generate\\_other** system property, as it applies to all reports in the instance.\n\n-   Greater than 0: Number of groups to display. The groups that appear are the ones with the highest values for whatever is being tracked.\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.show\\_other\n\n</td><td>\n\nFlag that indicates whether the group \"Other\" appears within the report. If not all groups are to display, as defined by the **number\\_of\\_groups** parameter, the values of the non-display groups are combined and displayed under a single heading of \"Other\".Possible values:\n\n-   true: Include the \"Other\" group.\n-   false: Don't include the \"Other\" group.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.source\\_id\n\n</td><td>\n\nTable name or sys\\_id of the report source information. This correlates to the information in the **cards\\_info.reportGroupConfigurations.data\\_configurations.source\\_type** parameter.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.source\\_type\n\n</td><td>\n\nType of information in the **cards\\_info.reportGroupConfigurations.data\\_configurations.source\\_id** parameter used to identify the source table.Possible values:\n\n-   source: Sys\\_id of the source table.\n-   table: Table name of the source table.\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.stack\\_by\\_field\n\n</td><td>\n\nName of the table column to use when implementing \"stack by\" in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.sys\\_id\n\n</td><td>\n\nSys\\_id of the report used in the report configuration.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.trend\\_field\n\n</td><td>\n\nName of table column to use in trend analysis.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.trend\\_interval\n\n</td><td>\n\nTime interval for the trend information. For example, week, month, year, etc.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.data\\_configurations.type\n\n</td><td>\n\nType of report associated with the report group, such as donut or single\\_core.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.style\\_configurations\n\n</td><td>\n\nStyles to use within the associated report group.Data type: Object\n\n```\n\"style_configurations\": {\n  \"colorPalette\": \"String\",\n  \"scoreColor\": \"String\",\n  \"show_zero\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.style\\_configurations.colorPalette\n\n</td><td>\n\nColors used in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.style\\_configurations.scoreColor\n\n</td><td>\n\nColor of the score value within the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.style\\_configurations.show\\_zero\n\n</td><td>\n\nFlag that indicates whether data points equal to zero are shown in the report.Possible values:\n\n-   true: Zero values are shown.\n-   false: Zero values aren't shown.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.title\n\n</td><td>\n\nTitle of the report group.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.reportGroupConfigurations.type\n\n</td><td>\n\nFile type for which the information is being returned.Always sn\\_customercentral\\_report\\_config.\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.sourceTableName\n\n</td><td>\n\nName of the table used for the associated list card.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations\n\n</td><td>\n\nStyles to use within the associated report.Data type: Object\n\n```\n\"style_configurations\": {\n  \"colorPalette\": \"String\",\n  \"dataLabelConfig\": {Object},\n  \"height\": \"String\",\n  \"hideRegister\": Boolean,\n  \"registerConfig\": {Object},\n  \"registerPosition\": \"String\",\n  \"scoreColor\": \"String\",\n  \"showDataLabels\": Boolean,\n  \"showTooltip\": Boolean,\n  \"show_zero\": Boolean,\n  \"width\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.colorPalette\n\n</td><td>\n\nColors used in the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.dataLabelConfig\n\n</td><td>\n\nConfiguration parameters that control how data labels appear in the report.Data type: Object\n\n```\n\"dataLabelConfig\": [\n  {\n    \"showTotal\": Boolean\n  }\n]\n```\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.dataLabelConfig.showTotal\n\n</td><td>\n\nFlag that indicates whether to display the total in the report.Possible values:\n\n-   true: Show totals.\n-   false: Don't show totals.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.height\n\n</td><td>\n\nHeight of the associated report.Data type: String\n\nUnit: Pixels or \"auto\"\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.hideRegister\n\n</td><td>\n\nFlag that indicates whether to display the register in the card.Possible values:\n\n-   true: Show the register.\n-   false: Don't show the register.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.registerConfig\n\n</td><td>\n\nConfiguration values that control how the register appears in the report.Data type: Object\n\n```\n\"registerConfig\": {\n  \"hideBorder\": Boolean,\n  \"showPercentages\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.registerConfig.hideBorder\n\n</td><td>\n\nFlag that indicates whether to hide the border around the register.Possible values:\n\n-   true: Hide the register border.\n-   false: Show the register border.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.registerConfig.showPercentages\n\n</td><td>\n\nFlag that indicates whether to show register percentages.Possible values:\n\n-   true: Show register percentages.\n-   false: Hide register percentages.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.registerPosition\n\n</td><td>\n\nPosition of the register within a card.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.scoreColor\n\n</td><td>\n\nColor of the score value within the report.Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.showDataLabels\n\n</td><td>\n\nFlag that indicates whether to show the data labels within the report.Possible values:\n\n-   true: Show the data labels.\n-   false: Hide the data labels.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.showTooltip\n\n</td><td>\n\nFlag that indicates whether to show tool tips within the report.Possible values:\n\n-   true: Show tool tips.\n-   false: Hide tool tips.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.show\\_zero\n\n</td><td>\n\nFlag that indicates whether data points equal to zero are shown in the report.Possible values:\n\n-   true: Zero values are shown.\n-   false: Zero values aren't shown.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncards\\_info.style\\_configurations.width\n\n</td><td>\n\nWidth of the associated report.Data type: String\n\nUnit: Pixels or \"auto\"\n\n</td></tr><tr><td>\n\ncards\\_info.subheader\\_fields\n\n</td><td>\n\nDetails to show on the sub-header of the associated card.Data type: Object\n\n```\n\"subheader_fields\": {\n  \"avatar\": \"String\",\n  \"subheader_tags\": [Array],\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncards\\_info.subheader\\_fields.avatar\n\n</td><td>\n\nFile name of the avatar associated with the specified**context\\_instance**, such as the contact's avatar.\\[Omitted image \"cust-central\\_avatar.png\"\\] Alt text: Avatar placement\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.subheader\\_fields.subheader\\_tags\n\n</td><td>\n\nList of tags associated with the record sub-header, such as escalation tags.\\[Omitted image \"cust-central\\_sub-header\\_tags.png\"\\] Alt text: Sub-header tag placement\n\nData type: Array \\(content varies\\)\n\n</td></tr><tr><td>\n\ncards\\_info.subheader\\_fields.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated customer.Data type: String\n\nTable: Users \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncards\\_info.subheader\\_fields.title\n\n</td><td>\n\nTitle to display on the sub-header.\\[Omitted image \"cust-central\\_sub-header-title.png\"\\] Alt text: Sub-header title placement\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.title\n\n</td><td>\n\nTitle on the card \\(record\\).Data type: String\n\n</td></tr><tr><td>\n\ncards\\_info.type\n\n</td><td>\n\nFile type for which the information is being returned.Possible values:\n\n-   sn\\_customercentral\\_list\\_config: List Configuration\n-   sn\\_customercentral\\_record\\_config: Record Configuration\n-   sn\\_customercentral\\_report\\_config: Report Configuration\n-   sn\\_customercentral\\_report\\_group\\_config: Report Group Configuration\n\nData type: String\n\n</td></tr><tr><td>\n\ncards\\_info.viewName\n\n</td><td>\n\nName of the view configured for the table specified in **cards\\_info.sourceTableName**.Data type: String\n\n</td></tr><tr><td>\n\nhas\\_more\\_records\n\n</td><td>\n\nFlag that indicates whether there are more records to retrieve.Possible values:\n\n-   true: More records to retrieve.\n-   false: No more records.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nlayout\n\n</td><td>\n\nNumber of columns per row. Each comma separated value defines the width of a column on the report display. For example \"6,6\" denotes two columns, each being six units wide, for a total of 12 units per row \\(maximum\\). A value of \"3,6,3\" denotes a row with three columns.Data type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nHTTP status of the request.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow/api/sn_customercentral/cust_central/custinfo/csm_consumer/a0488cfbdb1b1200b6075200cf9619db/interaction\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"layout\": \"6,6\",\n    \"cards_info\": [\n      {\n        \"title\": \"Consumer\",\n        \"type\": \"sn_customercentral_record_config\",\n        \"subheader_fields\": {\n          \"title\": \"Sam Collins\",\n          \"subheader_tags\": [],\n          \"avatar\": \"\",\n          \"sys_id\": \"64488cfbdb1b1200b6075200cf9619db\"\n        },\n        \"fields\": [\n          {\n            \"label\": \"Mobile phone\",\n            \"value\": \"\"\n          },\n          {\n            \"label\": \"Business phone\",\n            \"value\": \"\"\n          },\n          {\n            \"label\": \"Email\",\n            \"value\": \"sam.collins@mailinator.com\"\n          },\n          {\n            \"label\": \"Street\",\n            \"value\": \"144 2nd St\"\n          },\n          {\n            \"label\": \"City\",\n            \"value\": \"San Francisco\"\n          },\n          {\n            \"label\": \"State / Province\",\n            \"value\": \"CA\"\n          }\n        ]\n      },\n      {\n        \"title\": \"High priority cases\",\n        \"type\": \"sn_customercentral_report_group_config\",\n        \"reportGroupConfigurations\": [\n          {\n            \"title\": \"Escalated\",\n            \"type\": \"sn_customercentral_report_config\",\n            \"data_configurations\": {\n              \"type\": \"single_score\",\n              \"source_type\": \"table\",\n              \"source_id\": \"sn_customerservice_case\",\n              \"group_by\": \"\",\n              \"trend_interval\": \"year\",\n              \"trend_field\": \"\",\n              \"stack_by_field\": \"\",\n              \"aggregate_function\": \"COUNT\",\n              \"aggregate_field\": \"\",\n              \"filter_query\": \"active=true^active_escalationISNOTEMPTY^EQ^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n              \"decimal_precision\": 2,\n              \"number_of_groups\": 0,\n              \"show_other\": true,\n              \"sys_id\": \"c169a0f50f3b0010e6d4fd820b767e2e\"\n            },\n            \"style_configurations\": {\n              \"scoreColor\": \"#000000\",\n              \"show_zero\": true\n            }\n          },\n          {\n            \"title\": \"P1\",\n            \"type\": \"sn_customercentral_report_config\",\n            \"data_configurations\": {\n              \"type\": \"single_score\",\n              \"source_type\": \"table\",\n              \"source_id\": \"sn_customerservice_case\",\n              \"group_by\": \"\",\n              \"trend_interval\": \"year\",\n              \"trend_field\": \"\",\n              \"stack_by_field\": \"\",\n              \"aggregate_function\": \"COUNT\",\n              \"aggregate_field\": \"\",\n              \"filter_query\": \"active=true^priority=1^EQ^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n              \"decimal_precision\": 2,\n              \"number_of_groups\": 0,\n              \"show_other\": true,\n              \"sys_id\": \"cce86cb50f3b0010e6d4fd820b767eba\"\n            },\n            \"style_configurations\": {\n              \"scoreColor\": \"#000000\",\n              \"show_zero\": true\n            }\n          },\n          {\n            \"title\": \"SLA breached\",\n            \"type\": \"sn_customercentral_report_config\",\n            \"data_configurations\": {\n              \"type\": \"single_score\",\n              \"source_type\": \"table\",\n              \"source_id\": \"task_sla\",\n              \"group_by\": \"\",\n              \"trend_interval\": \"year\",\n              \"trend_field\": \"\",\n              \"stack_by_field\": \"\",\n              \"aggregate_function\": \"COUNT\",\n              \"aggregate_field\": \"\",\n              \"filter_query\": \"task.active=true^task.sys_class_name=sn_customerservice_case^stage!=cancelled^task.closed_atISEMPTY^sla.type=SLA^has_breached=true^EQ^taskIN59b65dc4db952200d75270f5bf96193eccc8cf82db912200d75270f5bf9619de^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n              \"decimal_precision\": 2,\n              \"number_of_groups\": 0,\n              \"show_other\": true,\n              \"sys_id\": \"e739a0f50f3b0010e6d4fd820b767e22\"\n            },\n            \"style_configurations\": {\n              \"scoreColor\": \"#000000\",\n              \"show_zero\": true\n            }\n          }\n        ]\n      },\n      {\n        \"title\": \"Case overview\",\n        \"type\": \"sn_customercentral_report_config\",\n        \"data_configurations\": {\n          \"type\": \"donut\",\n          \"source_type\": \"table\",\n          \"source_id\": \"sn_customerservice_case\",\n          \"group_by\": \"state\",\n          \"trend_interval\": \"year\",\n          \"trend_field\": \"\",\n          \"stack_by_field\": \"\",\n          \"aggregate_function\": \"COUNT\",\n          \"aggregate_field\": \"\",\n          \"filter_query\": \"^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n          \"decimal_precision\": 2,\n          \"number_of_groups\": 0,\n          \"show_other\": true,\n          \"sys_id\": \"d169216c0f770010e6d4fd820b767ea8\"\n        },\n        \"style_configurations\": {\n          \"width\": \"auto\",\n          \"height\": \"auto\",\n          \"colorPalette\": [\n            \"#278ecf\",\n            \"#4bd762\",\n            \"#ffca1f\",\n            \"#ff9416\",\n            \"#d42ae8\"\n          ],\n          \"hideRegister\": false,\n          \"registerConfig\": {\n            \"hideBorder\": true,\n            \"showPercentages\": false\n          },\n          \"registerPosition\": \"right\",\n          \"showDataLabels\": false,\n          \"dataLabelConfig\": {\n            \"showTotal\": false\n          },\n          \"showTooltip\": true\n        }\n      },\n      {\n        \"title\": \"Recent cases\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"active=true^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"sn_customerservice_case\"\n      },\n      {\n        \"title\": \"Recent chat interactions\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"active=false^type=chat^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"interaction\"\n      },\n      {\n        \"title\": \"Recent phone calls\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"active=false^type=phone^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"interaction\"\n      },\n      {\n        \"title\": \"Recent viewed articles\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"user=64488cfbdb1b1200b6075200cf9619db^viewed=true^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"kb_use\"\n      },\n      {\n        \"title\": \"Contracts\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"active=true^state=Active^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"ast_contract\"\n      },\n      {\n        \"title\": \"Entitlements\",\n        \"type\": \"sn_customercentral_list_config\",\n        \"listLimit\": \"3\",\n        \"viewName\": \"customer_central\",\n        \"encodedQuery\": \"active=true^end_date=NULL^ORend_date>=2020-05-07 07:00:00^consumer=a0488cfbdb1b1200b6075200cf9619db^ORDERBYDESCsys_created_on^sys_created_on>=2020-04-07 13:40:48\",\n        \"sourceTableName\": \"service_entitlement\"\n      }\n    ],\n    \"has_more_records\": false,\n    \"status\": \"200\"\n  }\n}\n```\n\n"}}